from django.urls import path
from . import views

app_name = 'shop'

urlpatterns = [
    path('', views.product_list, name='product_list'),

    # Cart URLs
    path('cart/', views.view_cart, name='view_cart'),
    path('cart/add/<int:product_id>/', views.add_to_cart_view, name='add_to_cart'),
    path('cart/update/<int:product_id>/', views.update_cart_view, name='update_cart'),
    path('cart/remove/<int:product_id>/', views.remove_from_cart_view, name='remove_from_cart'),
    path('clear-cart/', views.clear_cart, name='clear_cart'),
    path('checkout/', views.checkout, name='checkout'),
    path('payment/<int:order_id>/', views.payment, name='payment'),
    path('payment/success/<int:order_id>/', views.payment_success, name='payment_success'),
    path('payment/cancel/<int:order_id>/', views.payment_cancel, name='payment_cancel'),
    path('webhook/stripe/', views.stripe_webhook, name='stripe_webhook'),
    path('create-checkout-session/', views.create_checkout_session, name='create_checkout_session'),
    path('cart/update-item/', views.update_cart_item, name='update_cart_item'),
    path('cart/remove-item/', views.remove_from_cart, name='remove_from_cart'),
    path('debug/simulate-payment-success/', views.simulate_payment_success, name='simulate_payment_success'),
    path('debug/simulate-payment-failure/', views.simulate_payment_failure, name='simulate_payment_failure'),

]
